#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol
